Loading...
Searching...
No Matches
iosockstream.h
/*
* psocksxx - A C++ wrapper for POSIX sockets
* Copyright (C) 2013 Uditha Atukorala
*
* This software library is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* This software library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this software library. If not, see <http://www.gnu.org/licenses/>.
*
*/
#ifndef PSOCKSXX_IOSOCKSTREAM_H
#define PSOCKSXX_IOSOCKSTREAM_H
#include <psocksxx/isockstream.h>
#include <psocksxx/osockstream.h>
namespace psocksxx {
class iosockstream :
public isockstream,
public osockstream {
public:
iosockstream( sockstreambuf * ssb ) throw() :
isockstream( ssb ), osockstream( ssb ) {
// constructor
}
virtual ~iosockstream() throw() {
// destructor
}
bool timedout() const throw() {
return ( isockstream::timedout() || osockstream::timedout() );
}
};
} /* end of namespace psocksxx */
#endif /* !PSOCKSXX_IOSOCKSTREAM_H */
psocksxx::iosocks::timedout
bool timedout() const
get the timed-out status flag value
Definition iosocks.cpp:25
psocksxx::iosockstream::~iosockstream
virtual ~iosockstream()
destructor
Definition iosockstream.h:58
psocksxx::iosockstream::timedout
bool timedout() const
get the timed-out status for this stream
Definition iosockstream.h:70
psocksxx::iosockstream::iosockstream
iosockstream(sockstreambuf *ssb)
constructor
Definition iosockstream.h:50
psocksxx::isockstream::isockstream
isockstream(sockstreambuf *ssb)
constructor
Definition isockstream.cpp:25
psocksxx::osockstream::osockstream
osockstream(sockstreambuf *ssb)
constructor
Definition osockstream.cpp:25
psocksxx::sockstreambuf
Socket stream buffer class.
Definition sockstreambuf.h:53